Package Details: fheroes2-git r1763.92ad831d-1

Git Clone URL: https://aur.archlinux.org/fheroes2-git.git (read-only, click to copy)
Package Base: fheroes2-git
Description: Free implementation of Heroes of the Might and Magic II engine
Upstream URL: https://github.com/ihhub/fheroes2
Licenses: GPL
Conflicts: fheroes2-svn
Submitter: sergej
Maintainer: sergej
Last Packager: sergej
Votes: 0
Popularity: 0.000000
First Submitted: 2020-08-03 21:47
Last Updated: 2021-07-29 20:27

Latest Comments

qark commented on 2021-07-27 20:17

Actually tinyxml, sdl2_net and sdl2_ttf (since you use master branch) are not needed anymore.

fheroes2.desktop could be installed from script/packaging/common.

Probably switch to cmake is a little bit early. It doesn't support translations yet. However you can build them using make -C files/lang.

sergej commented on 2021-07-27 20:06

I've switched it to cmake it looks like ~/.fheroes2 is not needed anymore

qark commented on 2021-02-24 17:46

Please add tinyxml dependency and WITHOUT_BUNDLED_LIBS=1 flag to make.

qark commented on 2021-02-07 12:34

Package should depend on git, not subversion for make. As of 0.9 uses sdl2 by default.

BujuArena commented on 2020-09-22 20:05

I'm getting this at the end of my build:

install: cannot stat 'image/fheroes2_32x32.png': No such file or directory

EreTIk commented on 2020-08-06 16:43

Please add the aarch64 platform:

$ git diff
diff --git a/PKGBUILD b/PKGBUILD
index baa6112..5fd6412 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -7,7 +7,7 @@ pkgver() {
 }
 pkgrel=1
 pkgdesc="Free implementation of Heroes of the Might and Magic II engine"
-arch=('i686' 'x86_64' 'armv7h')
+arch=('i686' 'x86_64' 'armv7h' 'aarch64')
 url="https://github.com/ihhub/fheroes2"
 license=('GPL')
 depends=('sdl' 'sdl_image' 'sdl_mixer' 'sdl_net' 'sdl_ttf')

Test: OK